2008-01-15  Raphael Ackermann <raphael.ackermann@gmail.com>
    * data/man/nl/Makefile.am: added doc
    * configure.in: added sv for swedish makefile

2008-01-16  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Simple/_SimpleTable.py: added gettext
	* data/Makefile.am: added schema files
	* po/POTFILES.skip: some files not in POTFILES.in
	* po/POTFILES.in: added some missing files

2008-01-16 Erik De Richter <frederik.de.richter@pandora.be>
    * data/man/nl: added 
    * data/man/nl/gramps.1.in: added
    * data/man/nl/Makefile.am: added
    * configure.in: changed to add above nl directory
    * data/man/Makfile.am: changed to add above nl man page

2008-01-16 Jerome Rapinat <romjerome@yahoo.fr>
        * src/images/Makefile.am: add missing reference for gramps-import.png

2008-01-16  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Makefile.am (pkgdata_PYTHON): missing backslash

2008-01-16 Martin Hawlisch <martin@hawlisch.de>
	* src/DataViews/PersonView.py,
	* src/PageView.py: Use save instead of open in the csv export file chooser

2008-01-16 Martin Hawlisch <martin@hawlisch.de>
	* src/plugins/DateParserDisplayTest.py: Use Tool.ToolOptions instead of
	None as options_class to make it no longer crash
	* src/Mime/_PythonMime.py: Avoid crash on Windows if the mime type for
	a folder is to be determined

2008-01-16 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Editors/_EditMediaRef.py:
	* src/DisplayTabs/_GalleryTab.py:
	Finish changes caused by Addmedia not touching database anymore, #1610

2008-01-16 Benny Malengier <benny.malengier@gramps-project.org>
	* configure.in: don't make help makefile
	* src/FilterEditor/_ShowResults.py: shorten text, bug 1609

2008-01-16 Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsDbUtils/_GrampsDbWriteXML.py: import gzip only once

2008-01-16  Peter Landgren <peter.talken@telia.com>
    * man/Makefile.am: Swedish added (sv).
    * man/sv/gramps.1.in: Added Swedish man page (sv).
    * man/sv/Makefile.am: Added Swedish man page (sv).
    * man/fr/gramps.1.in: got the French man page back, which I overwrote yesterday

    2008-01-15  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/docgen/Makefile.am: added line to copy gtkprintpreview.glade
	on distcheck.

2008-01-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/OnThisDay.py: date sortable
	* src/plugins/SameSurnames.py: date sortable
	* src/plugins/siblings.py: date sortable
	* src/Simple/_SimpleAccess.py: simple method to get date_obj
	* src/Simple/_SimpleTable.py: manual override of link_col;
	removed call to quick_reports (could have been recursive)

2008-01-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/PluginUtils/_Tool.py (Tool.__init__): pass in dbstate
	* src/PluginUtils/__init__.py (MenuToolOptions.__init__): 
	pass in dbstate
	* src/plugins/Calendar.py (CalendarOptions.add_menu_options): 
	standard defaults
	
2008-01-15 Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsDbUtils/_GrampsDbWriteXML.py: import gzip

2008-01-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/SameSurnames.py (IncompleteSurname.apply): 
	can bring up people with empty surname

2008-01-15  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/FilterEditor/_ShowResults.py: allow notes to be filtered
    0001607: Unreferenced filter test

2008-01-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/ImportCSV.py (CSVParser.process): fixed csv import with 
	no surname (bug #1603)

2008-01-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/DefaultGramplets.py (TopSurnamesGramplet.main): make
	clicking on data easier by clicking on entire line (bug #1594)

2008-01-15  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/const.py.in: added constants for help pages
    * src/ViewManager.py: support for help pages called from menu
    0001606: Help menu items not functioning

2008-01-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/SameSurnames.py (run): change description to just
	surname, not entire person (bug #1595)

2008-01-15 Benny Malengier <benny.malengier@gramps-project.org>
	* man/Makefile.am: Swedish removed again so it builds again
	* removed help files of version 2.x, only wiki manual now!
	* COPYING-DOCS -> help/COPYING-DOCS : refers to old doc, moved
	* Makefile.am: removed help subdir, and COPYING-DOCS
	The idea should be that should we add documentation again, it is done
	in the help dir with separate source packages too for translations

2008-01-15  Peter Landgren <peter.talken@telia.com>
    * man/Makefail.am: Swedish added (sv).
    * man/gramps.1.in: typo changed (sv).
    * man/sv/gramps.1.in: tried to add Swedish man page (sv).
    but failed. How do I create man/sv in the svn repository?

2008-01-15  Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/db/exceptions.py: wrong exception def, bug #1593
	* src/GrampsDbUtils/_WriteXML.py: correctly catch the exception
	* src/GrampsDbUtils/_GrampsDbWriteXML.py: remove double def of xml export
	* src/GrampsDbUtils/_GrampsDbWRFactories.py: remove write backend factory
	* src/ExportAssistant.py: on fail, do not set success = True
	* src/GrampsDbUtils/__init__.py: don't export unused stuff

2008-01-15  Benny Malengier <benny.malengier@gramps-project.org>
	* src/ArgHandler.py: on autoload, do some extra checks first.

2008-01-15  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/GrampsDbUtils/_GrampsDbWriteXML.py
    * src/GrampsDbUtils/_WriteGedcom.py
    * src/plugins/ExportCSV.py
    * src/plugins/ExportVCalendar.py
    * src/plugins/ExportVCard.py
    * src/plugins/WriteCD.py
    * src/plugins/WriteFtree.py
    * src/plugins/WriteGeneWeb.py
    * src/plugins/WritePkg.py
    * src/PluginUtils/_PluginMgr.py: pylint fixes
    pylint fixes and work on 0001597 
    
2008-01-14  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/DbLoader.py: typo
	* src/plugins/ImportCSV.py: register text/csv as another mime type for csv
	0001410: Import auto-detect doesn't recognize csv
	* Changelog: fix format. Single tab before source files line, double space
	between date and name.
	
2008-01-14  Jerome Rapinat <romjerome@yahoo.fr>
	* data/man/fr/gramps.1.in: new man file

2008-01-12  Cedric Scott <cedric@not2.be>
            Benny Malengier <benny.malengier@gramps-project.org>
	* data/man/gramps.1.in: new man file

2008-01-14  Peter Landgren <peter.talken@telia.com>
	* _DateDisplay.py: ISO-date shows only year if month=0 and day=0

2008-01-13  Jerome Rapinat <romjerome@yahoo.fr>
	* Makefile.am
	* configure.in: remove gramps.spec references

2008-01-13  Brian Matherly <brian@gramps-project.org>
	* src/PluginUtils/_MenuOptions.py: Code cleanup.

2008-01-13  Gary Burton <gary.burton@zen.co.uk>
	* src/ManagedWindow.py: Revert last change.

2008-01-13  Jerome Rapinat <romjerome@yahoo.fr>
	* gramps.spec.in: remove file
	* FAQ: update file (wiki data) #1457

2008-01-13  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/gramps_main.py: Add dots to list of things in Betawarning
	to make it consistent
	* src/GrampsLogger/_ErrorReportAssistant.py: Disable sending emails to the 
	bug list and add button to file bug report on gramps issue tracker
	
2008-01-12  Brian Matherly <brian@gramps-project.org>
	* src/gramps_main.py: Enable the beta warning on startup.

2008-01-12  Brian Matherly <brian@gramps-project.org>
	* src/plugins/GVHourGlass.py: Clean up PyLint warnings.

2008-01-12  Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsDisplay.py: open url in standard way
	* src/gramps.py: add comment on use of import gnome
	* README:
	* INSTALL:
	Remove need for gconf, add need for xdg utilities

2008-01-12  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/Config/__init__.py: revert wrong indentation changes

2008-01-12  Benny Malengier <benny.malengier@gramps-project.org>
	* src/const.py.in: new manual constant keys
	* src/GrampsDisplay.py: show wiki manual, allow webpage and 
		section to be passed
	RERUN ./autogen.sh

2008-01-12  Peter Landgren <peter.talken@telia.com>
    * src/ViewManager.py: partial fix for #1580. Work in DisplayState.py remains.

2008-01-12  Stéphane Charette <stephanecharette@gmail.com>
	* src/Config/_GrampsConfigKeys.py:
	* src/ReportBase/_PaperMenu.py:
	* src/ReportBase/_GraphvizReportDialog.py:
	* src/ReportBase/_DocReportDialog.py:
	* src/ReportBase/_BareReportDialog.py:
	* src/ReportBase/_ReportOptions.py:
	remember if the paper options should be metric, and remember the
	custom paper sizes (issues #1481)
	* src/plugins/GVFamilyLines.py: small code cleanup
	* src/plugins/GVRelGraph.py: implement post_init()

2008-01-11  Stéphane Charette <stephanecharette@gmail.com>
	* src/ReportBase/_BareReportDialog.py: allow scroll arrows on the
	notebook if there are too many tabs to display
	* src/plugins/GVFamilyLines.py: context-sensitive control feedback
	based on other selected controls
	* src/PluginUtils/_MenuOptions.py: define inheritable method that gets
	called after all of the controls have been created

2008-01-11  Benny Malengier <benny.malengier@gramps-project.org>
	* src/glade/gramps.glade: add alt key combo's for buttons

2008-01-10  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/gen/db/dbdir.py: add doc, remove unused variable
    * src/GrampsDbUtils/_GrampsBSDDB.py: : add doc, remove unused variable
    * src/plugins/AncestorChart.py: cleanup unused vars
    * src/plugins/Calendar.py: typo in doc
    * src/plugins/ChangeNames.py: cleanup unused vars
    * src/plugins/DescendChart.py: cleanup unused vars
    * src/plugins/FamilyLines.py: cleanup unused vars
    * src/ReportBase/_ReportUtils.py: fix typo in variable Name

2008-01-10  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/MarkupText.py: in _hex_to_color removed dupe assignment to color
    * src/PageView.py: doc typo and delete unused statements in filter_toggle
    * src/ViewManager.py: fix typo in doc
    * src/DataViews/PersonView.py: delete unused statements in filter_toggle
    * src/FilterEditor/_EditRule.py: fix wrong $Id name
    * src/FilterEditor/_ShowResults.py: fix wrong $Id name

2008-01-10  Erik De richter <frederik.de.richter@pandora.be>
	* src/GrampsCfg.py: 
    * src/plugins/Reorderids.py: add note reordering 

2008-01-10  Peter Landgren <peter.talken@telia.com>
    * src/RecentFiles.py: fix in rename_filename

2008-01-10  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/ObjectSelector/_ObjectSelectorWindow.py: fix indentation error
    introduced through a previous patch

2008-01-09  Brian Matherly <brian@gramps-project.org>
	* src/docgen/CairoDoc.py: Fix 0001541: Box size too small - Descendant Chart

2008-01-09  Gary Burton <gary.burton@zen.co.uk>
	* src/ManagedWindow.py: Close window only if it is already open. Possible
	fix for bug #1510

2008-01-08  Benny Malengier <benny.malengier@gramps-project.org>
            Peter Landgren <peter.talken@telia.com>
	* src/DbManager.py: rename check, issue 1562, 1569

2008-01-09  Gary Burton <gary.burton@zen.co.uk>
	* src/DisplayModels/_NoteModel.py:
	* src/Selectors/_SelectNote.py:
	* src/DisplayViews/NoteView.py:
	* src/gen/db/base.py:
	Change the order of columns on Note View and Select Note dialog. Also
	fixed a crash. Bug #1529

2008-01-09  Gary Burton <gary.burton@zen.co.uk>
	* src/DisplayModels/_BaseModel.py: add self.db to match function

2008-01-09  Gary Burton <gary.burton@zen.co.uk>
	* src/DataViews/__init__.py: remove message regarding malformed dataviews

2008-01-09  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/gen/utils/callback.py
    * src/ObjectSelector/_FamilyFilterFrame.py
    * src/test/test/test_util_test.py
    * src/test/test/gedread_util_test.py
    * src/test/test_util.py
    * src/test/gramps_cli_test.py
    * src/test/ansel_utf8_test.py
    * src/GrampsDbUtils/test/_GedcomChar_test.py
    * src/GrampsDbUtils/test/_GrampsDbWRFactories_test.py
    * src/GrampsDbUtils/test/GR_test.py
    From PEP8 Always use 'self' for the first argument to instance methods.

2008-01-09  Raphael Ackermann <raphael.ackermann@gmail.com>
    * src/plugins/ExportVCard.py: in write_person use b_date instead of date
    0001497: small typo and imports cleanup in ExportVCard.py

2008-01-09  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/GrampsDbUtils/_GrampsBSDDB.py: wrong const import

2008-01-09  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/ObjectSelector/_FilterFrameBase.py: indentation and tabs/spaces fix

2008-01-09  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/ViewManager.py: delete unneded method import_pkg
	* src/ArgHandler.py: fix import CompressionError instead of CompressError 
	* src/gen/proxy/filter.py: fix not needed family= line

2008-01-08  Brian Matherly <brian@gramps-project.org>
	* src/PluginUtils/_MenuOptions.py:
	Fix 0001539: Tab order incorrect - Statistics Chart configuration

2008-01-08  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py:
	Fix 0001515: GraphViz reports don't register page margins on 
	report_options.xml

2008-01-08  Brian Matherly <brian@gramps-project.org>
	* src/plugins/AncestorChart.py:
	* src/plugins/DescendChart.py: 
	Fix 0001228: Descendent Chart doesn't respect the margin

2008-01-08  Brian Matherly <brian@gramps-project.org>
	* src/DisplayModels/_BaseModel.py: Fix 0001554: Select Place search
	
2008-01-08  Jim Sack <jgsack@san.rr.com>
	src/gen/utils/test/callback_test.py : add comment about
	intentional Error from call to undefined function

2008-01-08  Benny Malengier <benny.malengier@gramps-project.org>
	* src/ArgHandler.py: bug with tarfile exceptions

2008-01-08  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/Editors/_EditFamily.py: import fixes
	* src/plugins/FindDupes.py: variable typo fix
	0001428: In EditFamily: NameError

2008-01-08  Benny Malengier <benny.malengier@gramps-project.org>
	* src/DisplayTabs/_BackRefList.py: don't do sel change when dirty

2008-01-08  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/Editors/_EditFamily.py: 0001428: In EditFamily: NameError. 
	changed db -> self.db

2008-01-07  Benny Malengier <benny.malengier@gramps-project.org>
            Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/Bookmarks.py: bookmark dup warning, bug 1346

2008-01-07  Benny Malengier <benny.malengier@gramps-project.org>
	* src/DbManager.py: bug with creation/rename

2008-01-07  Benny Malengier <benny.malengier@gramps-project.org>
	* src/DataViews/GrampletView.py:
	* src/gramps_main.py:
	* src/images/48x48/gramps-gramplet.png:
	* src/images/scalable/gramps-gramplet.svg:
	* src/images/48x48/Makefile.am:
	* src/images/scalable/Makefile.am:
	start of gramplet icon

2008-01-07  Raphael Ackermann <raphael.ackermann@gmail.com
	* src/DataViews/PersonView.py: removed unused import
	* src/plugins/EventCmp.py: fixed error introduced with previous change
	* src/gramps.py: removed unused import
	* src/PageView.py: removed unused import

2008-01-07  Raphael Ackermann <raphael.ackermann@gmail.com
	* src/plugins/EventCmp.py: clean up imports and fix pylint error
	0001496: in EventCmp.py: E:198:fix: Using variable 'l' before assignment

2008-01-07  Raphael Ackermann <raphael.ackermann@gmail.com
	* src/plugins/CmdRef.py: clean up unused and broken imports and vars
	0001494: unresolved import WebPage in CmdRef.py

2008-01-07  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/docgen/ODFDoc.py: remove duplicate import
	* src/docgen/LaTeXDoc.py :added support for opening latex editor
	0001536: not possible to select latex editor like kile to open a latex file
	automatically 

2008-01-06  Brian Matherly <brian@gramps-project.org>
	* src/Filters/_SearchFilter.py:
	0001521: Filters work when tested, but not in side bar

2008-01-06  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/DefaultGramplets.py: added gettext (thanks, Jim!)

2008-01-06  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/MyGrampsView.py:
	* src/DataViews/__init__.py:
	* src/DataViews/GrampletView.py:
	* src/DataViews/Makefile.am:
	* src/Config/_GrampsConfigKeys.py:
	* src/plugins/DefaultGramplets.py:
	* src/plugins/Makefile.am:
	* src/plugins/DefaultGadgets.py:
	* src/glade/gramps.glade:
	* po/POTFILES.in:
	Renamed Gadgets -> Gramplets, MyGrampsView -> GrampletView

2008-01-06  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/DisplayState.py: 0001495: imports in DisplayState.py need fixed.

2008-01-06  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_ReportUtils.py:
	0001543: Preferences name format not used - Timeline Graph

2008-01-06  Brian Matherly <brian@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py:
	* src/DataViews/__init__.py:
	* src/DataViews/GoogleView.py:
	Don't enable GoogleView and pass on gtkmozembed failure for systems that
	don't have Gnome.

2008-01-06 Jerome Rapinat <romjerome@yahoo.fr>
        * src/docgen/Makefile.am: gtkprintpreview.glade was not pasted on install 

2008-01-06  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/MyGrampsView.py (MyGrampsView.clear_gadgets): 
	Protect on re-columning from gadgets that have been removed

2008-01-06  Benny Malengier <benny.malengier@gramps-project.org>
	* src/DataViews/MediaView.py:
	* src/DataViews/RepositoryView.py:
	* src/DataViews/SourceView.py:
	* src/DataViews/EventView.py:
	* src/DataViews/PlaceView.py:
	* src/PageView.py:
	Remove unused double click procedure
	* src/plugins/SimpleBookTitle.py: remove use of AddMedia
	* src/Editors/AddMedia.py: added
	* src/AddMedia.py: removed
	* src/Editors/Makefile.am:
	* src/Makefile.am:
	* po/POTFILES.in:
	Move AddMedia to the editors directory
	* src/Editors/_EditMedia.py:
	Edit Media now works as other editors, spawning AddMedia when 
	select is clicked.
	* src/ManagedWindow.py: typo in comment
	* src/Config/_GrampsConfigKeys.py: Two new keys, rerun ./autogen.sh
	Still todo: make relative path work

2008-01-06  Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/DefaultGadgets.py: handle long text in standard way for 
		translation

2008-01-06  Peter Landgren <peter.talken2telia.com>
	* src/plugins/Verify.py: Removed unneccesary
                             print statement "print event.get_type()"

2008-01-06  Benny Malengier <benny.malengier@gramps-project.org>
            Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/docgen/LaTeXDoc.py: wrong indent on write, bug #1506

2008-01-06  Brian Matherly <brian@gramps-project.org>
            Raphael Ackermann <raphael.ackermann@gmail.com>
            James Friedmann <jfriedmannj@gmail.com>
	* src/ReportBase/_ReportUtils.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/DetAncestralReport.py:
	0001408: Low Verbosity / Succinct option for the Detailed 
	Ancestral/Descendant Reports (patch from James Friedmann modified by 
	Raphael Ackermann and Brian Matherly)

2008-01-05  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/plugins/Verify.py:
	Patch from Raphael Ackermann
	Fix 0001505: Verifying database signals dead father, when he is not a father.

2008-01-05  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py:
	* src/ReportBase/_BareReportDialog.py:
	* src/ReportBase/_ReportOptions.py:
	* src/plugins/KinshipReport.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/DescendReport.py:
	* src/plugins/IndivComplete.py:
	* src/plugins/CalculateEstimatedDates.py:
	* src/plugins/BookReport.py:
	* src/plugins/TimeLine.py:
	* src/plugins/GVFamilyLines.py:
	* src/plugins/Calendar.py:
	* src/plugins/AncestorReport.py:
	* src/plugins/MarkerReport.py:
	* src/plugins/DescendChart.py:
	* src/plugins/EndOfLineReport.py:
	* src/plugins/DetAncestralReport.py:
	* src/plugins/SimpleBookTitle.py:
	* src/plugins/CustomBookText.py:
	* src/plugins/FamilyGroup.py:
	* src/plugins/GVRelGraph.py:
	* src/plugins/GVHourGlass.py:
	* src/plugins/StatisticsChart.py:
	* src/plugins/FanChart.py:
	* src/PluginUtils/_PluginWindows.py:
	* src/PluginUtils/__init__.py:
	* src/PluginUtils/_MenuOptions.py:
	More refactoring in the report system. More reports use MenuOptions now.
	BareReportDialog no longer has "center person".

2008-01-05  Raphael Ackermann <raphael.ackermann@gmail.com>
2008-01-05  Brian Matherly <brian@gramps-project.org>
	* src/DataViews/PedigreeView.py:
	* src/Config/__init__.py:
	* src/gen/utils/longop.py:
	* src/Editors/_EditLocation.py:
	* src/DisplayTabs/_TextTab.py:
	* src/plugins/WebCal.py:
	* src/plugins/NarrativeWeb.py:
	* src/plugins/rel_sv.py:
	* src/plugins/rel_de.py:
	* src/plugins/MarkerReport.py:
	* src/plugins/FindDupes.py:
	* src/plugins/DescendChart.py:
	* src/plugins/PHPGedViewConnector.py:
	* src/plugins/rel_pl.py:
	* src/plugins/FamilyGroup.py:
	* src/plugins/GVRelGraph.py:
	* src/plugins/StatisticsChart.py:
	* src/plugins/WriteGeneWeb.py:
	* src/ObjectSelector/_FilterFrameBase.py:
	* src/ObjectSelector/_FamilyPreviewFrame.py:
	* src/ObjectSelector/_ObjectSelectorWindow.py:
	* src/ObjectSelector/_PersonTreeFrame.py:
	* src/ObjectSelector/_FamilyFilterFrame.py:
	* src/ObjectSelector/_FamilyTreeFrame.py:
	* src/ObjectSelector/_PersonPreviewFrame.py:
	* src/ObjectSelector/_PersonFilterFrame.py:
	* src/GrampsWidgets.py:
	* src/DbManager.py:
	* src/Models/_ListCursor.py:
	* src/Models/_PathCursor.py:
	* src/GrampsLogger/_GtkHandler.py:
	* src/DisplayModels/_BaseModel.py:
	* src/AutoComp.py:
	* src/UndoHistory.py:
	* src/GrampsDbUtils/_GedcomUtils.py:
	* src/docgen/HtmlDoc.py:
	* src/docgen/SpreadSheetDoc.py:
	* src/docgen/ODFDoc.py:
	* src/docgen/LaTeXDoc.py:
	* src/docgen/ODSDoc.py:
	* src/docgen/ODSTab.py:
	* src/docgen/PSDrawDoc.py:
	* src/Filters/_FilterMenu.py:
	* src/Filters/_FilterList.py:
	* src/Filters/SideBar/_MediaSidebarFilter.py:
	* src/Filters/SideBar/_SourceSidebarFilter.py:
	* src/Filters/SideBar/_EventSidebarFilter.py:
	* src/Filters/SideBar/_NoteSidebarFilter.py:
	* src/Filters/SideBar/_RepoSidebarFilter.py:
	* src/Filters/Rules/Person/_IsLessThanNthGenerationAncestorOfDefaultPerson.py:
	* src/Filters/Rules/Person/_RelationshipPathBetweenBookmarks.py:
	* src/Filters/Rules/Person/_IsLessThanNthGenerationAncestorOfBookmarked.py:
	* src/Filters/Rules/_MatchesFilterBase.py:
	* src/DateHandler/_DateParser.py:
	* src/DateHandler/_Date_fi.py:
	* src/DateHandler/_Date_fr.py:
	Patch from Raphael Ackermann
	Fix 0001538: tabs and spaces are mixed in some source files

2008-01-05  Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/Verify.py: Remove a line of redundant code added yesterday.

2008-01-04  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/gen/lib/date.py (Date.__sub__): fixed date differences
	* src/Simple/_SimpleTable.py: removed frame around textview
	
2008-01-04  Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/Verify.py: Allow the Verify Results window to be reused if
	it is already instantiated. Bug #1532

2008-01-04  Gary Burton <gary.burton@zen.co.uk>
	* src/GrampsDbUtils/_ReadXML.py: removed code that is adding the gramps
	ID onto the end of pre-existing place descriptions. Bug #1502

2008-01-03 Benny Malengier <benny.malengier@gramps-project.org>
	* data/gramps.desktop.in: list more mime types, item 851

2008-01-03 Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsDbUtils/_GrampsDbWriteXML.py: wrong escape of &, bug 1430

2008-01-03 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/RelCalc.py: managed window error, bug 1499

2008-01-03  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/_Constants.py: added QR_NOTE, QR_DATE
	* src/gen/lib/date.py: working on date math
	* src/plugins/AgeOnDate.py: new Quick View for age on date
	* src/plugins/DefaultGadgets.py: added Age on Date gadget
	* src/QuickReports.py: new constants
	* src/Simple/_SimpleTable.py: handle sort columns

2008-01-03  Gary Burton <gary.burton@zen.co.uk>
	* src/Selectors/_SelectPerson.py: the select person dialog now allows a
	person to be selected by using the keyboard. This dialog really needs an
	overhaul so that it can use the BaseSelector class as SelectFamily does.
	However a PeopleModel based on BaseModel is required for this as the
	existing PeopleModel is a custom built class. bug #1456

2008-01-03 Jérôme Rapinat <romjerome@yahoo.fr>
        * src/configure.in : add bulgarian

2008-01-02 Benny Malengier <benny.malengier@gramps-project.org>
	* src/ViewManager.py: remove unneeded show, remove tabs

2008-01-02  Brian Matherly <brian@gramps-project.org>
	* src/DisplayModels/_PeopleModel.py: Fix filter bug.

2008-01-02 Jim Sack <jgsack@san.rr.com>
	* src/const.py.in : change embedded copyright sign to unicode \u00A9
	(really) instead of the \U (oops) 

2008-01-02 Jim Sack <jgsack@san.rr.com>
	* src/const.py.in : change embedded copyright sign to unicode \u00A9
	and eliminate call to unicode(), as well as the "coding cookie"
	at the top of file, since there is no longer any non-ASCII

2008-01-02 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Filters/SideBar/_PlaceSidebarFilter.py: correct string, bug #1275

2008-01-02  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Simple/_SimpleTable.py (SimpleTable.row): added obj handlers
	* src/plugins/References.py: new quick report for listing refs

2008-01-02 Benny Malengier <benny.malengier@gramps-project.org>
	* src/DbLoader.py: correct bug state -> dbstate

2008-01-02  Stéphane Charette <stephanecharette@gmail.com>
	* src/BaseDoc.py: definition of add_comment()
	* src/ReportBase/_GraphvizReportDialog.py: implement add_comment()
	* src/plugins/GVFamilyLines.py:
	* src/PluginUtils/__init__.py:
	* src/PluginUtils/_MenuOptions.py: work in progress to migrate the
	FamilyLines plugin to the new GraphViz framework; new menu option
	widget called "SurnameColourOption" (which is actually quite specific
	to the FamilyLines plugin)

2008-01-01  Peter Landgren <peter.talken@telia.com>
    * src/plugins/rel_sv.py: Added some comments

2008-01-01  Gary Burton <gary.burton@zen.co.uk>
	* src/Editors/_EditFamily.py: Enabled tooltips on person edit buttons
	bug #1501

2008-01-01  Brian Matherly <brian@gramps-project.org>
	* src/gramps_main.py:
	* src/PluginUtils/_MenuOptions.py:
	Refinement of "Center Person" selection for reports. Now only use one 
	dialog.
